## nvidia-graphics-drivers-legacy-173xx 173.14.39

=== debian/changelog ===
nvidia-graphics-drivers-legacy-173xx (173.14.39-2~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 24 May 2014 22:14:31 +0200

nvidia-graphics-drivers-legacy-173xx (173.14.39-2) unstable; urgency=medium

  * 173xx-linux-3.13.patch, nvidia_kernel_3.14.patch: New patches, taken from
    siduction.  (Closes: #741283, #742570)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 22 Apr 2014 20:13:37 +0200

nvidia-graphics-drivers-legacy-173xx (173.14.39-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 16 Jan 2014 10:41:04 +0100

nvidia-graphics-drivers-legacy-173xx (173.14.39-1) unstable; urgency=low

  * New upstream release 173.14.39 (2013-12-06).
    - Added support for X.org xserver ABI 15 (xorg-server 1.15).
  * Add xorg-video-abi-15 as alternative dependency.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 07 Dec 2013 20:15:04 +0100

nvidia-graphics-drivers-legacy-173xx (173.14.38-3) unstable; urgency=low

  * Promoted to upstream release 173.14.38 (2013-10-01).
  * Synchronize packaging with nvidia-graphics-drivers 319.60-2:
    - libgl1-nvidia-legacy-173xx-glx.postinst: Load debconf/confmodule, may be
      used by /usr/lib/nvidia/check* scripts.
  * Synchronize packaging with nvidia-graphics-drivers 319.60-3:
    - Bump Standards-Version to 3.9.5. No changes needed.
  * Synchronize packaging with nvidia-graphics-drivers-legacy-304xx 304.116-2
  * conftest.h:
    - Implement checks for linux/printk.h, linux/ratelimit.h,
      linux/prio_tree.h (331.13).
    - Implement new conftest.sh functions vm_operations_struct (331.13),
      task_struct (331.17), address_space, address_space_init_once (331.20).

 -- Andreas Beckmann <anbe@debian.org>  Sun, 01 Dec 2013 15:09:06 +0100

nvidia-graphics-drivers-legacy-173xx (173.14.38-2) unstable; urgency=low

  * Synchronize packaging with nvidia-graphics-drivers 304.108-4:
    - Make libgl1-nvidia-legacy-173xx-glx-i386:i386 a real package depending
      on libgl1-nvidia-legacy-173xx-glx:i386 and set M-A: foreign, s.t. the
      Recommends in libgl1-nvidia-legacy-173xx-glx:amd64 actually works.
    - bug-script: List the renamed nvidia*.ko modules, too.
  * Synchronize packaging with nvidia-graphics-drivers-legacy-304xx 304.108-4

 -- Andreas Beckmann <anbe@debian.org>  Mon, 23 Sep 2013 23:17:43 +0200

nvidia-graphics-drivers-legacy-173xx (173.14.38-1) unstable; urgency=low

  * New upstream beta 173.14.38 (2013-09-04).
    - Improved compatibility with recent Linux kernels.
  * linux-3.10-{i2c,procfs}.patch: Remove, fixed upstream.
  * linux-3.11.patch: Remove, fixed upstream.
  * Synchronize packaging with nvidia-graphics-drivers 304.108-2:
    - Change the virtual package name providing the kernel module to follow
      the renamed module.
  * Synchronize packaging with nvidia-graphics-drivers 304.108-3:
    - Rework patching after unpack: rename
        debian/patches-manual => debian/patches, series => series-postunpack.
    - conftest.h:
      + Implement new conftest.sh function get_num_physpages (173.14.38).
    - Bump glx-alternative-nvidia dependency to 0.4.
  * Synchronize packaging with nvidia-graphics-drivers-legacy-304xx 304.108-3

 -- Andreas Beckmann <anbe@debian.org>  Sun, 15 Sep 2013 19:08:47 +0200

nvidia-graphics-drivers-legacy-173xx (173.14.37-3) unstable; urgency=low

  * Synchronize packaging with nvidia-graphics-drivers 304.88-6:
    - Documentation updates.
  * Synchronize packaging with nvidia-graphics-drivers 304.88-7:
    - Add new substvars ${nvidia-alternative}, #NVIDIA_ALTERNATIVE#.
    - Rename the kernel module to nvidia-legacy-173xx.ko but retain its
      internal name as 'nvidia'.  (Closes: #719522)
    - nvidia{,-legacy-*}-kernel-dkms are now co-installable.
      (Closes: #685647)
    - nvidia-alternative-legacy-173xx:
      + Add /etc/nvidia/nvidia-legacy-173xx-modprobe.conf (with the nvidia
        alias) and a slave alternative /etc/modprobe.d/nvidia.conf to the
        nvidia alternative.
      + Provides: ${nvidia-alternative}--kmod-alias.
    - nvidia-legacy-173xx-kernel-dkms, nvidia-kernel-#KVERS#: Depend on
      ${nvidia-alternative}--kmod-alias.
    - libgl1-nvidia-legacy-173xx-glx.symbols: Change the dependency template
      to always generate a Depends: libgl1-mesa-glx | libgl1 and stop
      manipulating the .shlibs.
    - libgl1-nvidia-legacy-173xx-glx:i386: Check for problematic stray
      /usr/lib32/libGL.so* via
      Depends: nvidia-installer-cleanup (>= 20130816).
    - Don't explicitly request xz compression - dpkg 1.17 does this by
      default.
    - Drop empty Description paragraphs that worked around dpkg bug #680871.
    - conftest.h:
      + Implement check for drm/drmP.h (319.12).
      + Implement new conftest.sh functions drm_available (319.12),
        dom0_kernel_present (325.08),
        proc_create_data, pde_data, proc_remove (304.108, 325.15).
      + Implement conftest.sh sanity checks (only emit warning)
        nvidiafb_sanity_check (1.0-8174), xen_sanity_check (1.0-9746, 177.76),
        preempt_rt_sanity_check (325.08).
    - linux-3.10-{i2c,procfs}.patch: New patches to fix compilation with
      Linux 3.10, backported from 304.108.  (Closes: #717306)
    - linux-3.11.patch: New patch to fix compilation with Linux 3.11-rc.
  * Synchronize packaging with nvidia-graphics-drivers 304.108-1:
    - Rename patches.
    - debian/module/debian/prep-modules: Sanitize the kernel version. Replace
      underscores (may occur in custom kernels) with dashes to be eligible for
      package names and versions.  (Closes: #710900)
  * Regenerate linux-3.10-procfs.patch for 173xx.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 18 Aug 2013 23:11:10 +0200

nvidia-graphics-drivers-legacy-173xx (173.14.37-2) unstable; urgency=low

  * Synchronize packaging with nvidia-graphics-drivers 304.88-4:

