=== debian/control ===
#Source: nvidia-graphics-drivers${nvidia:Legacy}
Source: nvidia-graphics-drivers-legacy-173xx
Section: non-free/libs
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Russ Allbery <rra@debian.org>,
 Andreas Beckmann <anbe@debian.org>,
Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/nvidia-graphics-drivers-legacy-173xx/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/nvidia-graphics-drivers-legacy-173xx/
Build-Depends:
 debhelper (>= 9),
 xz-utils,
 dkms,
 libxext6,
 quilt,
Standards-Version: 3.9.5
Homepage: http://www.nvidia.com
XS-Autobuild: yes

#Package: ${nvidia}-driver
Package: nvidia-legacy-173xx-driver
Section: non-free/x11
Architecture: i386 amd64
Pre-Depends:
 nvidia-installer-cleanup,
Depends:
 libgl1-${nvidia}-glx (= ${binary:Version}),
 xserver-xorg-video-${nvidia} (= ${binary:Version}),
 ${nvidia-alternative} (= ${binary:Version}),
 ${nvidia:kmod:binary},
 nvidia-support,
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 ${nvidia-settings},
 libgl1-${nvidia}-glx-i386 [amd64],
Suggests:
 ${nvidia:kmod:source},
Provides:
 nvidia-glx-any,
Breaks:
 nvidia-glx${nvidia:Legacy} (<< 173.14.37-2),
Replaces:
 nvidia-glx${nvidia:Legacy} (<< 173.14.37-2),
Description: NVIDIA metapackage${nvidia:LegacyDesc}
 This metapackage depends on the NVIDIA binary driver and libraries
 that provide optimized hardware acceleration of
 OpenGL applications via a direct-rendering X Server.
 AGP, PCIe, SLI, TV-out and flat panel displays are also supported.
 .
 ${nvidia:kmod:Description}
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-driver/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

#Package: nvidia-glx${nvidia:Legacy}
Package: nvidia-glx-legacy-173xx
Section: non-free/oldlibs
Priority: extra
Architecture: i386 amd64
Depends:
 ${nvidia}-driver,
 ${misc:Depends}
Description: transition to ${nvidia}-driver
 This is a dummy transitional package to aid switching to
 ${nvidia}-driver.

#Package: xserver-xorg-video-${nvidia}
Package: xserver-xorg-video-nvidia-legacy-173xx
Section: non-free/x11
Architecture: i386 amd64
Pre-Depends:
 nvidia-installer-cleanup,
Depends:
 libgl1-${nvidia}-glx (= ${binary:Version}),
 ${nvidia-alternative} (= ${binary:Version}),
 nvidia-support (>= 20120630),
 ${nvidia:xorgDepends},
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 ${nvidia}-driver (>= ${nvidia:Version}),
 ${nvidia:kmod:binary},
 ${nvidia-settings},
Suggests:
 ${nvidia:kmod:source},
Provides:
 xserver-xorg-video-nvidia-any,
 ${nvidia:xorgProvides},
Description: NVIDIA binary Xorg driver${nvidia:LegacyDesc}
 These binary drivers provide optimized hardware acceleration of
 OpenGL applications via a direct-rendering X Server.
 AGP, PCIe, SLI, TV-out and flat panel displays are also supported.
 .
 ${nvidia:kmod:Description}
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-driver/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

#Package: libgl1-${nvidia}-glx
Package: libgl1-nvidia-legacy-173xx-glx
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends:
 nvidia-installer-cleanup,
 ${misc:Pre-Depends}
Depends:
 ${nvidia-alternative},
 nvidia-installer-cleanup (>= 20130816) [i386],
 nvidia-support,
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 ${nvidia:kmod:binary},
Suggests:
 ${nvidia:kmod:source},
Provides:
 libgl1-nvidia-glx-any,
Conflicts:
 libgl1-nvidia${nvidia:Legacy}-glx-ia32,
 nvidia-glx${nvidia:Legacy}-ia32,
 libgl1-nvidia-glx-ia32-any,
Breaks:
 ia32-libs (<< 1:0),
Replaces:
 libgl1-nvidia${nvidia:Legacy}-glx-ia32,
 nvidia-glx${nvidia:Legacy}-ia32,
Description: NVIDIA binary OpenGL libraries${nvidia:LegacyDesc}
 These binary libraries provide optimized hardware acceleration of
 OpenGL applications via a direct-rendering X Server.
 .
 See the description of the ${nvidia}-driver package
 or /usr/share/doc/libgl1-${nvidia}-glx/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

#Package: libgl1-${nvidia}-glx-i386
Package: libgl1-nvidia-legacy-173xx-glx-i386
Architecture: i386
Multi-Arch: foreign
Depends:
 libgl1-${nvidia}-glx,
 ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA binary OpenGL 32-bit libraries${nvidia:LegacyDesc}
 This metapackage helps the automatic installation of the 32-bit NVIDIA
 OpenGL libraries when installing libgl1-${nvidia}-glx
 on amd64 with foreign architecture i386 enabled.

#Package: ${nvidia-alternative}
Package: nvidia-alternative-legacy-173xx
Architecture: i386 amd64
Multi-Arch: foreign
Depends:
 glx-alternative-nvidia (>= 0.4),
 ${misc:Depends}
Conflicts:
 libgl1-nvidia-alternatives,
 libglx-nvidia-alternatives,
 libgl1-nvidia-alternatives-ia32,
Breaks:
 nvidia-settings (<< 319.49),
 nvidia-settings-legacy-173xx (<< 173.14.37),
Provides:
 ${nvidia-alternative}--kmod-alias,
Description: allows the selection of NVIDIA as GLX provider
 In setups with several NVIDIA driver versions installed (e.g. current and
 legacy) this metapackage registers an alternative to allow easy switching
 between the different versions.
 .
 Use 'update-alternatives --config nvidia' to select a version.
 .
 This package does not depend on the corresponding NVIDIA libraries.
 In order to install the NVIDIA driver and libraries, install the
 ${nvidia}-driver package instead.

#Package: ${nvidia}-kernel-dkms
Package: nvidia-legacy-173xx-kernel-dkms
Section: non-free/kernel
Architecture: i386 amd64
Multi-Arch: foreign
Pre-Depends:
 nvidia-installer-cleanup,
Depends:
 dkms,
 nvidia-kernel-common (>= 20110213),
 ${nvidia-alternative}--kmod-alias,
 ${misc:Depends}
Recommends:
 ${nvidia}-driver (>= ${nvidia:Version}),
Provides:
 ${nvidia}-kernel-${nvidia:Version}${nvidia:Perfkit},
Breaks:
 nvidia-kernel${nvidia:Legacy}-dkms (<< 173.14.37-2),
 make (= 3.82-1),
Replaces:
 nvidia-kernel${nvidia:Legacy}-dkms (<< 173.14.37-2),
Description: NVIDIA binary kernel module DKMS source${nvidia:LegacyDesc}
 This package builds the NVIDIA Xorg binary kernel module needed by
 ${nvidia}-driver, using DKMS.
 Provided that you have the kernel header packages installed, the kernel
 module will be built for your running kernel and automatically rebuilt for
 any new kernel headers that are installed.
 .
 The NVIDIA binary drivers provide optimized hardware acceleration of
 OpenGL applications via a direct-rendering X Server for graphics cards
 using NVIDIA chip sets.  AGP, PCIe, SLI, TV-out and flat panel displays
 are also supported.
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-kernel-dkms/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

#Package: nvidia-kernel${nvidia:Legacy}-dkms
Package: nvidia-kernel-legacy-173xx-dkms
Section: non-free/oldlibs
Priority: extra
Architecture: i386 amd64
Depends:
 ${nvidia}-kernel-dkms,
 ${misc:Depends}
Description: transition to ${nvidia}-kernel-dkms
 This is a dummy transitional package to aid switching to
 ${nvidia}-kernel-dkms.

#Package: ${nvidia}-kernel-source
Package: nvidia-legacy-173xx-kernel-source
Section: non-free/kernel
Architecture: i386 amd64
Depends:
 debhelper (>= 8),
 make,
 quilt,
 xz-utils,
 ${misc:Depends}
Recommends:
 module-assistant | kernel-package,
 nvidia-kernel-common,
 ${nvidia-alternative}--kmod-alias,
Suggests:
 ${nvidia}-driver (>= ${nvidia:Version}),
Breaks:
 nvidia-kernel${nvidia:Legacy}-source (<< 173.14.37-2),
 module-assistant (<< 0.11.6~),
 make (= 3.82-1),
Replaces:
 nvidia-kernel${nvidia:Legacy}-source (<< 173.14.37-2),
Description: NVIDIA binary kernel module source${nvidia:LegacyDesc}
 This package provides the source for the NVIDIA Xorg binary kernel module
 needed by ${nvidia}-driver in a form suitable
 for use by module-assistant or kernel-package.
 .
 The NVIDIA binary drivers provide optimized hardware acceleration of
 OpenGL applications via a direct-rendering X Server for graphics cards
 using NVIDIA chip sets.  AGP, PCIe, SLI, TV-out and flat panel displays
 are also supported.
 .
 PLEASE read /usr/share/doc/${nvidia}-kernel-source/README.Debian.gz
 for building information.  If you want the kernel module to be automatically
 installed via DKMS, install ${nvidia}-kernel-dkms instead.
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-kernel-source/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

#Package: nvidia-kernel${nvidia:Legacy}-source
Package: nvidia-kernel-legacy-173xx-source
Section: non-free/oldlibs
Priority: extra
Architecture: i386 amd64
Depends:
 ${nvidia}-kernel-source,
 ${misc:Depends}
Description: transition to ${nvidia}-kernel-source
 This is a dummy transitional package to aid switching to
 ${nvidia}-kernel-source.
